aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-05-24 08:33:56 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2014-05-26 09:11:31 +0000
commit19d6dc3c57866c0262e66797a861dda89e6f87e3 (patch)
treec4b2a871ae4d85e40b1fa5a854bfbd8463d1b78d
parentb96649ba442f8065451612ed45b9f13f9e8eaf31 (diff)
downloadaports-19d6dc3c57866c0262e66797a861dda89e6f87e3.tar.bz2
aports-19d6dc3c57866c0262e66797a861dda89e6f87e3.tar.xz
testing/py-arprequest: new aport
-rw-r--r--testing/py-arprequest/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-arprequest/APKBUILD b/testing/py-arprequest/APKBUILD
new file mode 100644
index 0000000000..30218d80fd
--- /dev/null
+++ b/testing/py-arprequest/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-arprequest
+_pkgname=arprequest
+pkgver=0.3
+pkgrel=0
+pkgdesc="A python class which sends an ARP Request"
+url="https://pypi.python.org/pypi/arprequest"
+arch="noarch"
+license="WTFPL"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="d9306278d5695fa840167740a96bf70b arprequest-0.3.tar.gz"
+sha256sums="ddcbed9a2f7661a4683a4e3c2e9899f027bc5d3174d8486ad3587b1063fa6e3f arprequest-0.3.tar.gz"
+sha512sums="bac94a88cc84d8dde5c783cffdd5c65ca5887e3e8527815b2f3dd9052bd582bf606c8bab6108c6b7b33169acd48cd686db6e4f5232c82db33604a59880ed0c29 arprequest-0.3.tar.gz"